Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.deployment.wsdd
Class WSDDDocument

    java.lang.Object
      org.apache.axis.deployment.wsdd.WSDDConstants
          org.apache.axis.deployment.wsdd.WSDDDocument

public class WSDDDocument
extends WSDDConstants

represents a WSDD Document (this is the top level object in this object model) Only one of `#deployment` and `#undeployment` should be valid.

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDConstants
`ARRAY_DESERIALIZER_FACTORY, ARRAY_SERIALIZER_FACTORY, ATTR_ATTACHMENT_FORMAT, ATTR_CLASS, ATTR_CLASSNAME, ATTR_DESERIALIZER, ATTR_ENCSTYLE, ATTR_INHEADER, ATTR_INNER_NAME, ATTR_INNER_TYPE, ATTR_ITEMQNAME, ATTR_ITEMTYPE, ATTR_LANG_SPEC_TYPE, ATTR_LOCKED, ATTR_MEP, ATTR_MODE, ATTR_NAME, ATTR_OUTHEADER, ATTR_PIVOT, ATTR_PROVIDER, ATTR_QNAME, ATTR_RETHEADER, ATTR_RETITEMQNAME, ATTR_RETITEMTYPE, ATTR_RETQNAME, ATTR_RETTYPE, ATTR_SERIALIZER, ATTR_SOAP12ACTION, ATTR_SOAPACTION, ATTR_SOAPACTORNAME, ATTR_STREAMING, ATTR_STYLE, ATTR_TYPE, ATTR_USE, ATTR_VALUE, BEAN_DESERIALIZER_FACTORY, BEAN_SERIALIZER_FACTORY, ELEM_WSDD_ARRAYMAPPING, ELEM_WSDD_BEANMAPPING, ELEM_WSDD_CHAIN, ELEM_WSDD_DEPLOY, ELEM_WSDD_DOC, ELEM_WSDD_ELEMENTMAPPING, ELEM_WSDD_ENDPOINTURL, ELEM_WSDD_FAULT, ELEM_WSDD_FAULTFLOW, ELEM_WSDD_GLOBAL, ELEM_WSDD_HANDLER, ELEM_WSDD_JAXRPC_CHAIN, ELEM_WSDD_JAXRPC_HANDLERINFO, ELEM_WSDD_JAXRPC_HEADER, ELEM_WSDD_JAXRPC_ROLE, ELEM_WSDD_NAMESPACE, ELEM_WSDD_OPERATION, ELEM_WSDD_PARAM, ELEM_WSDD_REQFLOW, ELEM_WSDD_RESPFLOW, ELEM_WSDD_ROLE, ELEM_WSDD_SERVICE, ELEM_WSDD_TRANSPORT, ELEM_WSDD_TYPEMAPPING, ELEM_WSDD_UNDEPLOY, ELEM_WSDD_WSDLFILE, NS_PREFIX_WSDD, NS_PREFIX_WSDD_JAVA, PROVIDER_BSF, PROVIDER_COM, PROVIDER_CORBA, PROVIDER_EJB, PROVIDER_HANDLER, PROVIDER_MSG, PROVIDER_RMI, PROVIDER_RPC, QNAME_ARRAYMAPPING, QNAME_BEANMAPPING, QNAME_BSF_PROVIDER, QNAME_CHAIN, QNAME_COM_PROVIDER, QNAME_CORBA_PROVIDER, QNAME_DEPLOY, QNAME_DOC, QNAME_EJB_PROVIDER, QNAME_ELEMENTMAPPING, QNAME_ENDPOINTURL, QNAME_FAULT, QNAME_FAULTFLOW, QNAME_GLOBAL, QNAME_HANDLER, QNAME_HANDLER_PROVIDER, QNAME_JAVAMSG_PROVIDER, QNAME_JAVARPC_PROVIDER, QNAME_JAXRPC_HANDLERINFO, QNAME_JAXRPC_HANDLERINFOCHAIN, QNAME_JAXRPC_HEADER, QNAME_JAXRPC_ROLE, QNAME_NAMESPACE, QNAME_OPERATION, QNAME_PARAM, QNAME_REQFLOW, QNAME_RESPFLOW, QNAME_RMI_PROVIDER, QNAME_SERVICE, QNAME_TRANSPORT, QNAME_TYPEMAPPING, QNAME_UNDEPLOY, QNAME_WSDLFILE, URI_WSDD, URI_WSDD_HANDLER, URI_WSDD_JAVA, URI_WSDD_WSDD_BSF, URI_WSDD_WSDD_COM`

Constructor Summary
`WSDDDocument()` empty constructor
`WSDDDocument(org.w3c.dom.Document document)` create and bind to a document
`WSDDDocument(org.w3c.dom.Element e)` bind to a sub-element in a document.

Method Summary
`void` | `deploy(WSDDDeployment registry)` do a deploy and/or undeploy, depending on what is in the document.
`WSDDDeployment` | `getDeployment()` Get the deployment.
`org.w3c.dom.Document` | `getDOMDocument()` get the deployment as a DOM.
`void` | `setDocument(org.w3c.dom.Document document)` Bind to a new document, setting the undeployment nodes if it is an undeployment, the deployment tree if it is anything else.
`void` | `writeToContext(SerializationContext context)` write the deployment to the supplied serialization context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### WSDDDocument

    public WSDDDocument()

  empty constructor

### WSDDDocument

    public WSDDDocument(org.w3c.dom.Document document)
                 throws WSDDException

  create and bind to a document

Parameters:
  `document` - (Document) XXX

### WSDDDocument

    public WSDDDocument(org.w3c.dom.Element e)
                 throws WSDDException

  bind to a sub-element in a document.

Parameters:
  `e` - (Element) XXX

Method Detail

### getDeployment

    public WSDDDeployment getDeployment()

  Get the deployment. If there is no deployment, create an empty one

  Returns:
    the deployment document

### getDOMDocument

    public org.w3c.dom.Document getDOMDocument()
                                        throws ConfigurationException

  get the deployment as a DOM. Requires that the deployment member variable is not null.

  Returns:
  Throws:
    `ConfigurationException`

### writeToContext

    public void writeToContext(SerializationContext context)
                        throws java.io.IOException

  write the deployment to the supplied serialization context.

  Parameters:
    `context` -
  Throws:
    `java.io.IOException`

### setDocument

    public void setDocument(org.w3c.dom.Document document)
                     throws WSDDException

  Bind to a new document, setting the undeployment nodes if it is an undeployment, the deployment tree if it is anything else.

  Parameters:
    `document` - XXX
  Throws:
    `WSDDException`

### deploy

    public void deploy(WSDDDeployment registry)
                throws ConfigurationException

  do a deploy and/or undeploy, depending on what is in the document. If both trees are set, then undeploy follows deploy.

  Parameters:
    `registry` -
  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.